//+------------------------------------------------------------------+
//|                                                    SA SDC II.mq4 |
//|                                         Copyright  2010, Oneday |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Oneday"
#property link      ""

#property indicator_chart_window

extern int     Bar_Period     =  24;
extern double  Set_deviation  =  2.0;//added this user input
extern color   Colour         =  Red;
extern int     Line_weight    =  1;
extern bool    Show_Ray       =  true;
datetime       TimeCheck;
datetime       T_1;
datetime       T_2;

//==========================================================================================================================================
int init(){
   TimeCheck   =  Time[0];
   T_1         =  iTime(NULL,0,0);//the second zero refers to the currently open bar.
   T_2         =  iTime(NULL,0,Bar_Period);
   UDF_Draw_channel(T_1, T_2);
   return(0);
}
//==========================================================================================================================================
int deinit(){
   ObjectDelete("SA SDC");
   return(0);
}
//==========================================================================================================================================
int start(){
   if(TimeCheck != Time[0]){
      ObjectDelete("SA SDC");
      T_1   =  iTime(NULL,0,0);//the second zero refers to the currently open bar.
      T_2   =  iTime(NULL,0,Bar_Period);
      UDF_Draw_channel(T_1, T_2);
   }
   return(0);
}
//==========================================================================================================================================
//User defined function to draw the channel
void  UDF_Draw_channel(datetime TimeR, datetime TimeL){
   ObjectCreate("SA SDC",OBJ_STDDEVCHANNEL,0,T_2,0,T_1,0);
   ObjectSet   ("SA SDC",OBJPROP_COLOR,Colour);
   ObjectSet   ("SA SDC",OBJPROP_WIDTH,Line_weight);
   ObjectSet   ("SA SDC",OBJPROP_RAY,Show_Ray);
   ObjectSet   ("SA SDC",OBJPROP_DEVIATION,Set_deviation);//allow user to set the deviation via the user input
}
//==========================================================================================================================================